Skip to main content
POST
Create a new MCP server instance

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Path Parameters

serverId
string
required

The ID of the MCP server UUID of the MCP server to create an instance for

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json

Parameters for creating a new MCP server instance

user_id
string
required

The user ID (entity ID) that will be used as both the user identifier and instance ID

Minimum string length: 1
Example:

"user_123456"

Response

Successfully created MCP server instance. Returns the created instance details.

MCP server instance details

id
string
required

UUID of the instance record

Example:

"550e8400-e29b-41d4-a716-446655440000"

instance_id
string
required

The instance identifier (same as the user_id)

Example:

"user_123456"

mcp_server_id
string
required

UUID of the parent MCP server

Example:

"660e8400-e29b-41d4-a716-446655440001"

created_at
string
required

Date and time when this instance was created

Example:

"2023-06-10T09:15:00.000Z"

updated_at
string
required

Date and time when this instance was last modified

Example:

"2023-06-15T14:30:00.000Z"